Skip to main content
POST
cURL

Customer Endpoint (2026-03-01)

Create a new customer, and optionally mark them as tax exempt.
Remember to include the X-API-Version: 2026-03-01 header in your request to use this API version.
Important: If you provide a customer.id in calculations, it must exist (created via POST /tax/customers first)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string
required

The customer's email

Example:

"customer@example.com"

name
string

The customer's name

Example:

"Customer Name"

is_tax_exempt
boolean

If true, all POST /tax/calculations sold to this customer will return $0 in tax owed. The default value is false.

Example:

true

reference_customer_id
string

The ID of the customer in your system

Example:

"20506"

Response

Customer creation response

id
string

The ID of the customer

Example:

"cus_123456789"

object
string

The type of object: tax.customer

Example:

"tax.customer"

reference_customer_id
string

The ID of the customer in your system

Example:

"20506"

name
string

The name of the created customer

Example:

"Customer Name"

email
string

The email of the created customer

Example:

"customer@example.com"

is_tax_exempt
boolean

If true, all POST /tax/calculations sold to this customer will return $0 in tax owed. The default value is false.

Example:

true